<ion-header no-padding>
  <ion-toolbar>
    <ion-buttons size="small" slot="end" (click)="close()">
          <ion-icon name="close" color="primary" style="font-size:25px;"></ion-icon>
    </ion-buttons>
    <ion-title style="font-size: 18px" color="primary"><b>Pin Post</b></ion-title>
  </ion-toolbar>
</ion-header>

<ion-content fullscreen>
   
    <form [formGroup]="pin_form" (ngSubmit)="onPinPost(pin_form)">
      <div padding-vertical>
        <ion-item lines="none">
          <div>
            <ion-radio-group>
              <ion-item *ngFor="let board of allBoard" lines="none">
                <ion-radio  formControlName="board_id" slot="end" color="dark" [value]="board.id"></ion-radio>
                <ion-label  style="font-style:italic;font-weight:bold;">{{board.name}}</ion-label>
              </ion-item>
            </ion-radio-group>
          </div>
        </ion-item>
      </div>
      <ion-button class="btn" expand="block" shape="round"  type="submit"size="default" color="danger">Pin Post</ion-button>
  </form>
    <ion-fab vertical="bottom" horizontal="end" slot="fixed">
      <ion-fab-button>
        <ion-icon name="add"></ion-icon>
      </ion-fab-button>
    </ion-fab>
  
</ion-content>
